// Copyright (C) 2014 by Jorge Munoz-Gama. All rights reserved. 
// Released under the terms of the Lesser GNU General Public License (L-GPL) version 2 or later.

package com.processmininguc.experiments;

import org.processmining.contexts.cli.CLI;
import org.processmining.contexts.cli.CLIContext;
import org.processmining.contexts.cli.CLIPluginContext;
import org.processmining.framework.boot.Boot;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.processtree.ProcessTree;
import org.processmining.processtree.ptml.importing.PtmlImportTree;


public class ProMScript {

	public static void main(String[] args) throws Exception {
		
		//============================================================
		//CONFIGURATION
		String ptmlPath = "/Users/jmunoz/Dropbox/benchmarks/configurableprocesses/test1/test1.ptml";
		//============================================================
		
		Boot.boot(CLI.class, CLIPluginContext.class, "");
		CLIContext cliContext = new CLIContext();
		PluginContext context = new CLIPluginContext(cliContext, "Dummy Context");
		
		PtmlImportTree ptmlImport = new PtmlImportTree();
		ProcessTree tree = (ProcessTree) ptmlImport.importFile(context, ptmlPath);
		System.out.println(tree);
	}

}
